## NAME

v.in.gns - Imports US-NGA GEOnet Names Server (GNS) country files into a GRASS vector points map.

## KEYWORDS

vector, import, gazetteer

## SYNOPSIS

v.in.gns
v.in.gns help
v.in.gns file=string [vect=string] [--overwrite] [--verbose] [--quiet]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

file=string
  Uncompressed GNS file from NGA (with .txt extension)
vect=string
  Name for output vector map

## DESCRIPTION

v.in.gns imports US-NGA GEOnet Names Server (GNS) country files (Gazetteer data) into a GRASS vector points map. The country files can be downloaded from the NGA GNS Web Server (see below). The script generates a vector point map. Only original files can be processed (unzip compressed file first). These GNS files are encoded in UTF-8 which is maintained in the GRASS database.

## NOTES

The current DB connection is used to write the database table.

Generally, column names longer that 10 characters are shortened to 10 characters to meet the DBF column name restrictions. If this is a problem consider choosing another database driver with db.connect.

To filter outliers (points outside of a country), the v.select module can be used to perform point-in-polygon tests. v.select saves only the GNS points falling into a country polygon into the new points map.

## SEE ALSO

db.connect, v.select

## REFERENCES

GEOnet Names Server files for countries and territories
Column names explanations

## AUTHOR

Markus Neteler, MPBA Group, ITC-irst, Trento, Italy

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team